gconfmm 2.28.3

- Main Page
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions
Gnome::Conf Namespace Reference

## Classes
class | Error
| Exception class for Gnome::Conf::Client errors. More...
class | Client
| The main Gnome::Conf object. More...
class | Entry
| An Entry stores an entry from a GConf "directory", including a key-value pair, the name of the Schema applicable to this entry, whether the value is a default value, and whether GConf can write a new value at this key. More...
class | Schema
class | Value
| Wrapper for primitive types. More...
class | ChangeSet
| A ChangeSet is a set of changes to the GConf database that can be commited and reversed easily. More...
class | SetInterface
| Common Interface for key-value settable objects. More...
## Typedefs
typedef std::pair< Value, Value > | ValuePair
typedef std::pair< ValueType, ValueType > | ValueTypePair
typedef sigc::slot< void, guint, Entry > | Callback
## Enumerations
enum | ClientErrorHandlingMode { CLIENT_HANDLE_NONE, CLIENT_HANDLE_UNRETURNED, CLIENT_HANDLE_ALL }
enum | ClientPreloadType { CLIENT_PRELOAD_NONE, CLIENT_PRELOAD_ONELEVEL, CLIENT_PRELOAD_RECURSIVE }
enum | ValueType { VALUE_INVALID, VALUE_STRING, VALUE_INT, VALUE_FLOAT, VALUE_BOOL, VALUE_SCHEMA, VALUE_LIST, VALUE_PAIR }
enum | UnsetFlags { UNSET_INCLUDING_SCHEMA_NAMES }
## Functions
void | init ()

## Typedef Documentation

typedef sigc::slot<void, guint, Entry> Gnome::Conf::Callback

typedef std::pair<Value, Value> Gnome::Conf::ValuePair

typedef std::pair<ValueType, ValueType> Gnome::Conf::ValueTypePair

## Function Documentation

void Gnome::Conf::init | ( |  | ) |